java.util

## Class UnknownFormatConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.UnknownFormatConversionException

All Implemented Interfaces:
  Serializable

    public class UnknownFormatConversionException
    extends IllegalFormatException

Unchecked exception thrown when an unknown conversion is given.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnknownFormatConversionException(String s)` Constructs an instance of this class with the unknown conversion.

### Method Summary

Methods
`String` `getConversion()` Returns the unknown conversion.
`String` `getMessage()` Returns the detail message string of this throwable.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownFormatConversionException

    public UnknownFormatConversionException(String s)

Constructs an instance of this class with the unknown conversion.

Parameters:
  `s` - Unknown conversion

### Method Detail

#### getConversion

    public String getConversion()

Returns the unknown conversion.

Returns:
  The unknown conversion.

#### getMessage

    public String getMessage()

Description copied from class: `Throwable`
Returns the detail message string of this throwable.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.